#!/bin/sh
#==============================================================================
#
#     (c) Copyright 2005, Hewlett-Packard NSMD, all rights reserved.
#
#     PACKAGE      HP OpenView Data Protector
#     FILE         fse_server_prepare.sh
#
#     DESCRIPTION
#       The script stops FSE RMDB and dumps FSE RMDB into backup file.
#		
#		
#==============================================================================

GBAKPATH=$OB2FSEGBAKPATH"/gbak"
RMDBPATH=$OB2FSERMDBPATH"/rmdb.gdb"
FSEBAK=$OB2FSEBINS"/sbin/fsebak"
WHERE=$1

# 1. Dump FSE RMDB 


if [ ! -f $FSEBAK ]
then
	echo "There is no fsebak utility at $OB2FSEBINS"
	exit 1
fi

$FSEBAK --suspend 2>&1

if [ ! -f $GBAKPATH ] 
then
	echo "There is no gbak utility at specified path!"
	/opt/fse/sbin/fsebak --continue 0 2>&1
	exit 1
fi

if [ ! -f $RMDBPATH ] 
then
	echo "There is no FSE RMDB at specified path!"
	/opt/fse/sbin/fsebak --continue 0 2>&1
	exit 1
fi

if [ ! -d $WHERE ] 
then
	echo "There is no destination directory for FSE RMDB backup file!"
	/opt/fse/sbin/fsebak --continue 0 2>&1
	exit 1
fi

WHERE=$WHERE"/FSE_RMDB.bckp"

$GBAKPATH $RMDBPATH $WHERE


